const Sequelize = require('sequelize');
const settings = require("../../../config/settings")
const fs = require("fs")
const path = require("path");
class behiveDbFactory {
  constructor() {
    const dbConfigop = settings.databasehbop();
    this.dbhbOp = new Sequelize(dbConfigop.dbname,
      dbConfigop.user,
      dbConfigop.password,
      dbConfigop.config);
    this.dbhbOp.Sequelize = Sequelize;
    this.dbhbOp.Op = Sequelize.Op;
  }
  getConhbOp() {
    return this.dbhbOp;
  }
}
module.exports = behiveDbFactory;